<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="Company"    package="performa.orm">
        
        <IMPORT value="performa.orm.types.*"/>
        <IMPORT value="performa.orm.types.TimeZone"/>
        
        <MULTIPLEREFERENCE  name="Users"    type="CompanyUser"  backreferenceName="Company"/>
        <MULTIPLEREFERENCE  name="Clients"  type="Client"       backreferenceName="Company"/>
        
        <TABLE  name="tl_company" tablePrefix="object">
            
            <ATTRIB name="CompanyName"      type="String"           dbcol="company_name"        mandatory="true"    length="100"    />
            <ATTRIB name="HiringTeamType"   type="HiringTeamType"   dbcol="hiring_team_type"    mandatory="false"   attribHelper="EnumeratedAttributeHelper"/>
            <ATTRIB name="Industry"         type="Industry"         dbcol="industry"            mandatory="false"   attribHelper="EnumeratedAttributeHelper"/>
            <ATTRIB name="TimeZone"         type="TimeZone"         dbcol="time_zone"           mandatory="false"   attribHelper="EnumeratedAttributeHelper"/>
        
            <SINGLEREFERENCE    name="AddedByUser"  type="CompanyUser"  dbcol="added_by_user_id"    mandatory="true"/>
        
        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_company.object_id is not null"    >
        </SEARCH>
        
    </BUSINESSCLASS>
    
</ROOT>